--- /tmp/asterisk-1.4.0/apps/app_meetme.c	2006-12-11 00:30:01.000000000 -0500
+++ apps/app_meetme.c	2007-01-15 23:36:12.000000000 -0500
@@ -153,7 +153,9 @@
 	/*! If set, the user is a shared line appearance trunk */
 	CONFFLAG_SLA_TRUNK = (1 << 26),
 	/*! If set, the user has put us on hold */
-	CONFFLAG_HOLD = (1 << 27)
+	CONFFLAG_HOLD = (1 << 27),
+	/*! If set asterisk will exit conference when '*' is pressed */
+	CONFFLAG_STAREXIT = (1 << 28)
 };
 
 enum {
@@ -180,6 +182,7 @@
 	AST_APP_OPTION('q', CONFFLAG_QUIET ),
 	AST_APP_OPTION('r', CONFFLAG_RECORDCONF ),
 	AST_APP_OPTION('s', CONFFLAG_STARMENU ),
+	AST_APP_OPTION('S', CONFFLAG_STAREXIT ),
 	AST_APP_OPTION('T', CONFFLAG_MONITORTALKER ),
 	AST_APP_OPTION('l', CONFFLAG_MONITOR ),
 	AST_APP_OPTION('t', CONFFLAG_TALKER ),
@@ -192,6 +195,8 @@
 AST_APP_OPTIONS(sla_opts, {
 	/* Just a placeholder for now */
 });
+
+
 static const char *app = "MeetMe";
 static const char *app2 = "MeetMeCount";
 static const char *app3 = "MeetMeAdmin";
@@ -1610,6 +1615,10 @@
 					ret = 0;
 					ast_frfree(f);
 					break;
+				} else if ((f->frametype == AST_FRAME_DTMF) && (f->subclass == '*') && (confflags & CONFFLAG_STAREXIT)) {
+					res = 0;
+					ast_frfree(f);
+					break;
 				} else if (((f->frametype == AST_FRAME_DTMF) && (f->subclass == '*') && (confflags & CONFFLAG_STARMENU)) || ((f->frametype == AST_FRAME_DTMF) && menu_active)) {
 					if (ioctl(fd, ZT_SETCONF, &ztc_empty)) {
 						ast_log(LOG_WARNING, "Error setting conference\n");
